Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.compilers
Class JavaScriptCompileData.Expression

    java.lang.Object
      net.sf.jasperreports.compilers.JavaScriptCompileData.Expression

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  JavaScriptCompileData

    protected static class JavaScriptCompileData.Expression

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`JavaScriptCompileData.Expression(java.lang.String type, java.lang.String defaultExpression, java.lang.String estimatedExpression, java.lang.String oldExpression)`

Method Summary
`java.lang.String` | `getDefaultExpression()`
`java.lang.String` | `getEstimatedExpression()`
`java.lang.String` | `getJavaType()`
`java.lang.String` | `getOldExpression()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaScriptCompileData.Expression

    public JavaScriptCompileData.Expression(java.lang.String type,
                                            java.lang.String defaultExpression,
                                            java.lang.String estimatedExpression,
                                            java.lang.String oldExpression)

Method Detail

### getJavaType

    public java.lang.String getJavaType()

### getDefaultExpression

    public java.lang.String getDefaultExpression()

### getOldExpression

    public java.lang.String getOldExpression()

### getEstimatedExpression

    public java.lang.String getEstimatedExpression()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com